package com.yanzhu.manage.domain;

import com.yanzhu.common.core.annotation.Excel;
import com.yanzhu.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 基础题库对象 bus_exam_question
 * 
 * @author JiangYuQi
 * @date 2024-08-25
 */
public class BusExamQuestion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 单位主键 */
    private Long comId;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String comName;

    /** 项目主键 */
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 工种类型 */
    @Excel(name = "工种类型")
    private String craftType;

    /** 工种岗位 */
    @Excel(name = "工种岗位")
    private String craftPost;

    /** 问题难度 */
    @Excel(name = "问题难度")
    private Long questionDiff;

    /** 问题类型 */
    @Excel(name = "问题类型")
    private Long questionType;

    /** 问题范围 */
    @Excel(name = "问题范围")
    private String questionScope;

    /** 问题描述 */
    @Excel(name = "问题描述")
    private String questionDesc;

    /** 问题答案 */
    @Excel(name = "问题答案")
    private String questionAnswer;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDel;

    /** 题库问题信息 */
    private List<BusExamQuestionResult> busExamQuestionResultList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public Long getComId() {
        return comId;
    }

    public void setComId(Long comId) {
        this.comId = comId;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public void setProjectId(Long projectId)
    {
        this.projectId = projectId;
    }

    public Long getProjectId() 
    {
        return projectId;
    }
    public void setCraftType(String craftType) 
    {
        this.craftType = craftType;
    }

    public String getCraftType() 
    {
        return craftType;
    }
    public void setCraftPost(String craftPost) 
    {
        this.craftPost = craftPost;
    }

    public String getCraftPost() 
    {
        return craftPost;
    }
    public void setQuestionDiff(Long questionDiff) 
    {
        this.questionDiff = questionDiff;
    }

    public Long getQuestionDiff() 
    {
        return questionDiff;
    }
    public void setQuestionType(Long questionType) 
    {
        this.questionType = questionType;
    }

    public Long getQuestionType() 
    {
        return questionType;
    }

    public String getQuestionScope() {
        return questionScope;
    }

    public void setQuestionScope(String questionScope) {
        this.questionScope = questionScope;
    }

    public void setQuestionDesc(String questionDesc)
    {
        this.questionDesc = questionDesc;
    }

    public String getQuestionDesc() 
    {
        return questionDesc;
    }
    public void setQuestionAnswer(String questionAnswer) 
    {
        this.questionAnswer = questionAnswer;
    }

    public String getQuestionAnswer() 
    {
        return questionAnswer;
    }
    public void setIsDel(Long isDel) 
    {
        this.isDel = isDel;
    }

    public Long getIsDel() 
    {
        return isDel;
    }

    public List<BusExamQuestionResult> getBusExamQuestionResultList()
    {
        return busExamQuestionResultList;
    }

    public void setBusExamQuestionResultList(List<BusExamQuestionResult> busExamQuestionResultList)
    {
        this.busExamQuestionResultList = busExamQuestionResultList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("comId", getComId())
            .append("projectId", getProjectId())
            .append("craftType", getCraftType())
            .append("craftPost", getCraftPost())
            .append("questionDiff", getQuestionDiff())
            .append("questionType", getQuestionType())
            .append("questionDesc", getQuestionDesc())
            .append("questionAnswer", getQuestionAnswer())
            .append("isDel", getIsDel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("busExamQuestionResultList", getBusExamQuestionResultList())
            .toString();
    }
}
